/*Fonts*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap");

* {
  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
  scroll-padding-top: 2rem;
}

:root {
  --main-color: orange;
  --body-color: #1a1a1d;
  --container-color: #171b3c;
  --heading-color: #1B78D5;
  --box-color: #182747;
  --box1-color: #3d3c42;
  --bg-color: #fff;
  --img-color: #98a7fc;
  --btn-color: #546eff;
}

body {
  color: var(--bg-color);
  background: var(--body-color);
  position: relative;
}

html::-webkit-scrollbar {
  width: 0.5rem;
  background: transparent;
}

html::-webkit-scrollbar-thumb {
  background: var(--heading-color);
}

img {
  width: 100%;
}

section {
  padding: 5rem 0 2rem;
}

a {
  text-decoration: none;
}

li {
  list-style: none;
}

.container {
  max-width: 960px;
  margin: auto;
  width: 100%;
}

/*header*/
header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 100;
}

.header-active {
  background: var(--box-color);
  transition: 0.4s;
}

.nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 20px 0;
  
}

.logo {
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--main-color);
}

.navbar {
  display: flex;
  align-items: center;
  column-gap: 1.5rem;
  
}

.nav-link {
  font-size: 0.94rem;
  padding: 4px 8px;
  border-radius: 0.2rem;
  color: var(--bg-color);
}

.nav-link:hover {
  color: var(--main-color);
  background: var(--container-color);
  transition: 0.3s all linear;
}

/*Menu*/
.menu-icon {
  display: none;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  row-gap: 5px;
  cursor: pointer;
  z-index: 200;
  transition: 0.3s;
}

.menu-icon div {
  display: block;
  background: var(--bg-color);
  height: 2px;
  width: 24px;
  transition: 0.3s;
}

.move .line1 {
  transform: rotate(-45deg) translate(-5px, 5px);
}

.move .line2 {
  opacity: 0;
}

.move .line3 {
  transform: rotate(45deg) translate(-5px, -5px);
}

.home {
  min-height: 600px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding-top: 7rem;
}

.home-content {
  position: relative;
  max-width: 600px;
  width: 100%;
  margin: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.home-img {
  width: 180px;
  height: 180px;
  border-radius: 50%;
  background: var(--img-color);
  overflow: hidden;
  margin-bottom: 2rem;
}

.home-img {
  width: 180px;
  height: 180px;
  object-fit: cover;
  object-position: center;
}

.home-text {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.home-text h3 {
  position: relative;
  display: flex;
  align-items: center;
  column-gap: 0.5rem;
  font-size: 1.9rem;
  color: var(--main-color);
}

.home-text h3::before {
  content: "";
  position: absolute;
  top: 50%;
  transform: translate(-50%);
  left: -15px;
  width: 20px;
  height: 2px;
  background: var(--main-color);
}

.home-text h3::after {
  content: "";
  position: absolute;
  top: 50%;
  transform: translate(-50%);
  right: -35px;
  width: 20px;
  height: 2px;
  background: var(--main-color);
}

.home-text h2 {
  font-size: 3rem;
  line-height: 4.8rem;
}

.home-text p {
  font-size: 0.938rem;
  margin-bottom: 1.5rem;
}

.home-text .color {
  color: var(--main-color);
}

.social {
  display: flex;
  align-items: center;
  column-gap: 0.5rem;
}

.social .bx {
  font-size: 1.3rem;
  padding: 10px;
  border-radius: 50%;
  color: var(--bg-color);
  background: var(--container-color);
}

.social .bx:hover {
  background: var(--main-color);
  transition: 0.3s all linear;
}

.heading {
  font-size: 5rem;
  text-transform: uppercase;
  color: var(--heading-color);
  text-align: center;
  margin-bottom: 2rem;
}

.about-content {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1.5rem;
}

.about-data span {
  font-size: 1rem;
  font-weight: 500;
  text-transform: uppercase;
  color: var(--main-color);
}

.about-data h2 {
  font-size: 2rem;
  line-height: 2.6rem;
  font-weight: 700;
  margin: 1rem 0;
}

.btn {
  font-size: 0.97rem;
  display: inline-flex;
  align-items: center;
  column-gap: 0.5rem;
  color: var(--bg-color);
  background-color: var(--main-color);
  padding: 12px 16px;
  border-radius: 0.4rem;
  margin-top: 1rem;
}

.btn .bx {
  font-size: 1.2rem;
}

.btn:hover {
  background: var(--btn-color);
  transition: 0.3 all linear;
}

.about-text p {
  font-size: 0.938rem;
  letter-spacing: 1px;
  text-align: justify;
  margin-bottom: 1.5rem;
}

/* Skill Section */
.skill-content {
  font-size: 1.5rem;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  justify-content: center;
  gap: 1.5rem;
}

.skill-box .bx {
  font-size: 1.8rem;
}

.skill-box span {
  text-align: center;
}


.services-content {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem;
}

.services-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding: 15px;
  background: var(--container-color);
  border-radius: 0.4rem;
}

.services-box:hover {
  transform: scale(1.05);
  transition: 0.5s all cubic-bezier(0.075, 0.82, 0.165, 1);
}

.services-box .bx {
  font-size: 1.4rem;
  color: var(--main-color);
  padding: 10px;
  border-radius: 5rem;
  border: 2px dashed var(--bg-color);
}

.services-box h2 {
  font-size: 1.1rem;
  font-weight: 500;
  margin: 0.5rem 0;
  color: var(--main-color);
}

.services-box p {
  font-size: 0.9rem;
}


.divimg {
  margin-bottom: 30px;
}


.swiper-pagination-bullet {
  width: 6px !important;
  height: 6px !important;
  border-radius: 0.2rem !important;
  background: var(--bg-color) !important;
  opacity: 1 !important;
}

.swiper-pagination-bullet-active {
  width: 1.5rem !important;
  background: var(--main-color) !important;
}

.contact-form {
  max-width: 800px;
  margin: auto;
  width: 100%;
  display: grid;
  row-gap: 1rem;
}

.contact-form input,
.contact-form textarea {
  border: none;
  outline: none;
  font-size: 0.9rem;
  padding: 15px;
  color: var(--bg-color);
  background: var(--box1-color);
  border-radius: 0.4rem;
}

.contact-form .send-btn {
  width: 120px;
  font-size: 1rem;
  letter-spacing: 1px;
  font-weight: 500;
  text-transform: uppercase;
  padding: 12px;
  background: var(--main-color);
  cursor: pointer;
}

.send-btn {
  margin: auto;
}

.contact-form .send-btn:hover {
  background: var(--btn-color);
  transition: 0.3s all linear;
}

.footer {
  display: flex;
  align-items: center;
  flex-direction: column;
  row-gap: 1.4rem;
  padding: 30px 0;
}

.footer p {
  font-size: 0.9rem;
}

.footer-link {
  display: flex;
  align-items: center;
  column-gap: 1rem;
}

.footer-link a {
  font-size: 1rem;
  font-weight: 400;
  color: var(--bg-color);
}

.footer-link a:hover {
  color: var(--main-color);
  transition: 0.3s all linear;
}

.scroll-top {
  position: fixed;
  bottom: -100%;
  right: 1.5rem;
  z-index: 100;
}

.scroll-top .bx {
  padding: 8px;
  font-size: 2.5rem;
  color: var(--bg-color);
  background: var(--container-color);
  border-radius: 1.7rem;
}

.scroll-top .bx:hover {
  background: var(--main-color);
  transition: 0.3s;
}

.scroll-active {
  bottom: 2rem;
  transition: 0.3s;
  z-index: 100;
}

@media (max-width: 990px) {
  .container {
    margin: 0 auto;
    width: 90%;
  }
}

@media(max-width: 910px) {
  .skill-content {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (max-width: 892px) {
  section {
    padding: 2rem 0;
  }

  .nav {
    padding: 12px 0;
  }

  .heading {
    font-size: 4rem;
  }

  /* .project-box{
        height: 257px;
    } */
}

@media (max-width: 775px) {
  .logo {
    font-size: 1.1rem;
  }

  .home {
    min-height: 500px;
    padding-top: 6rem;
  }

  .home-text h3 {
    font-size: 1rem;
  }

  .home-text h2 {
    font-size: 3rem;
    line-height: 3.8rem;
  }

  .home-text p {
    font-size: 0.825rem;
  }

  .services-content {
    grid-template-columns: repeat(2, 1fr);
  }

  /* .project-box {
    height: auto;
  } */
  .menu-icon {
    display: flex;
  }

  .navbar {
    position: absolute;
    top: 0;
    right: -100%;
    width: 300px;
    height: 100vh;
    background: var(--box-color);
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 50px 20px;
    transition: 0.5s all cubic-bezier(0.075, 0.82, 0.165, 1);
  }

  .open-menu {
    right: 0;
    transition: 0.5s all cubic-bezier(0.075, 0.82, 0.165, 1);
  }

  .nav-link {
    display: block;
    margin: 1rem 0;
  }
}

@media (max-width: 635px) {
  .about-content {
    grid-template-columns: 1fr;
  }

  .about-data span {
    font-size: 0.9rem;
  }

  .about-data h2 {
    font-size: 1.7rem;
    line-height: 2.3rem;
    font-weight: 600;
    margin: 0.8rem 0;
  }

  .about-text p {
    font-size: 0.825rem;
    margin-bottom: 1.3rem;
  }

  .skill-content {
    grid-template-columns: repeat(2, 1fr);
  }

  /* .projects-content {
    grid-template-columns: repeat(2, 200px);
  } */
}



@media (max-width: 450px) {
  .home {
    min-height: 485px;
    padding-top: 5rem;
  }

  .home-img {
    width: 140px;
    height: 140px;
  }

  .home-img img {
    width: 140px;
    height: 140px;
  }

  .home-text h2 {
    font-size: 2.1rem;
    line-height: 3.2rem;
  }

  .home-text p br {
    display: contents;
  }

  .heading {
    font-size: 3rem;
  }

  .about-data h2 {
    font-size: 1.5rem;
    line-height: 2.1rem;
    margin: 0.6rem 0;
  }

  .btn {
    margin-left: 90px;
  }

  .about-text {
    text-align: center;
  }

  .skill-content {
    margin: 0;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }

  .services-content

  /* .portfolio-content, */
  /* .projects-content */
    {
    grid-template-columns: 1fr;
  }

  .certificate-box .certificate-done {
    font-size: 0.82rem;
  }

  .footer-link {
    flex-direction: column;
    row-gap: 1rem;
  }
}

@media(max-width: 390px) {
  .skill-content {
    grid-template-columns: inherit;
  }
}

@media (max-width: 325px) {
  .navbar {
    width: 100%;
  }

  /* .project-box {
    height: 190px;
  } */
}